<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\Kursvorschlag;

class KursvorschlagController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursvorschlagUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    return new KursvorschlagRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new KursvorschlagPresenter($pUseCaseResponse);
  }
}